Skip to main content
GET
/
api
/
integrations
/
pdfs
/
{heron_id}
Get single PDF by heron_id
curl --request GET \
  --url https://app.herondata.io/api/integrations/pdfs/{heron_id} \
  --header 'x-api-key: <api-key>'
{
  "pdf": {
    "account_id": "checking_account_202348",
    "created": "2026-04-04T02:26:07.119913",
    "currency": "USD",
    "data_source": {
      "heron_id": "<string>",
      "is_enabled": true
    },
    "end_user": {
      "heron_id": "eus_3UkL7DxqkZqRhuhYaJdKcK"
    },
    "filename": "my-favourite.pdf",
    "heron_id": "pdf_6RB8kLda8nYtfvX7jEd9PT",
    "is_image_based": true,
    "last_updated": "2026-04-04T02:26:07.119946",
    "notes": "failed to send to external OCR provider",
    "parsing_version": "<string>",
    "reference_id": "my-favourite-pdf",
    "statements": [
      {
        "data_source_account": {
          "heron_id": "<string>",
          "is_enabled": true
        },
        "exclude": true,
        "invalid_transaction_partials": [
          {
            "amount": 123,
            "balance": 123,
            "currency": "<string>",
            "description": "<string>",
            "ocr_suspect": true,
            "reference_id": "<string>",
            "timestamp": "2023-11-07T05:31:56Z",
            "transaction_code": "<string>"
          }
        ],
        "transaction_partials": [
          {
            "amount": 123,
            "description": "<string>",
            "timestamp": "2023-11-07T05:31:56Z",
            "balance": 123,
            "currency": "<string>",
            "ocr_suspect": true,
            "reference_id": "<string>",
            "transaction_code": "<string>"
          }
        ]
      }
    ],
    "status": "processed"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

The heron_id of the PDF to retrieve

Query Parameters

with_processed_results
boolean
default:false

Include processed statements/transactions in the response

Response

Successfully retrieved PDF

pdf
object